// Styles
import "@mdi/font/css/materialdesignicons.css";
import "material-design-icons-iconfont/dist/material-design-icons.css";
import "@actindo/core-ui/styles";

// Locales
import enUs from "@/locales/en-US.json";
import deDe from "@/locales/de-DE.json";

import { createApp } from "vue";
import { routerKey, routeLocationKey, viewDepthKey } from "vue-router";
import { createPinia } from "pinia";
import { createCoreUi } from "@actindo/core-ui";
import { MAIN_APP_URL } from "@/constants";
import router from "./router";
import App from "./App.vue";

const pinia = createPinia();

const app = createApp(App)
  .use(createCoreUi, {
    integration: { pinia, routerKey, routeLocationKey, viewDepthKey },
    i18n: { messages: { "en-US": enUs, "de-DE": deDe } },
    mainAppUrl: MAIN_APP_URL,
  })
  .use(pinia)
  .use(router);

app.mount("#app");
